Observer Class Referenceabstract

`#include <observer.h>`

Inheritance diagram for Observer:
Collaboration diagram for Observer:

## Public Member Functions

virtual | ~Observer ()
virtual void | update (const Observable *changed_observable)=0

## Protected Member Functions

| Observer ()

## Detailed Description

Definition at line 34 of file observer.h.

## Constructor & Destructor Documentation

virtual Observer::~Observer | ( |  | ) |

inline virtual

Definition at line 36 of file observer.h.

Observer::Observer | ( |  | ) |

inline protected

Definition at line 40 of file observer.h.

## Member Function Documentation

virtual void Observer::update | ( | const Observable * | changed_observable | ) |

pure virtual

Implemented in ContextTracker, PredictorActivator, ARPAPredictor, Selector, RecencyPredictor, SmoothedNgramPredictor, AbbreviationExpansionPredictor, DejavuPredictor, PredictorRegistry, and DictionaryPredictor.

The documentation for this class was generated from the following file:

- /build/buildd/presage-0.8.8/src/lib/core/observer.h